﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace GettingStartedKanban
{
	public partial class MasterPage : ContentPage
	{
		public ListView ListView
		{
			get { return listView; }
		}

		public MasterPage()
		{
			InitializeComponent();

			var masterPageItems = new List<MasterPageItem>();
			masterPageItems.Add(new MasterPageItem
			{
				Title = "Contacts",
				IconSource = "contacts.png",
				TargetType = typeof(Kanban)
			});
			masterPageItems.Add(new MasterPageItem
			{
				Title = "TodoList",
				IconSource = "todo.png",
				TargetType = typeof(Kanban)
			});

			listView.ItemsSource = masterPageItems;
		}

	}
}
