#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using GettingStartedKanban;
using Syncfusion.SfKanban.XForms;
using Xamarin.Forms;

namespace GettingStartedKanban
{
    public class ViewModel
    {
   
        public ObservableCollection<CustomModel> Cards { get; set; }

        public List<object> Category1 { get; set; }

        public List<object> Category2 { get; set; }

        public List<object> Category3 { get; set; }

        public List<object> Category4 { get; set; }

        public ViewModel()
        {
            
            Cards = new ObservableCollection<CustomModel>();

            Cards.Add(new CustomModel()
            {
                ID = 1,
                Name = "iOS - 1002",
                Picture = "Image1.png",
                Category = "Open",
                Description = "Analyze customer requirements"
            });

            Cards.Add(new CustomModel()
            {
                ID = 2,
                Name = "Xamarin - 4576",
                Picture = "Image2.png",
                Category = "Open",
                Description = "Show the retrieved data from the server in grid control"

            });

            Cards.Add(new CustomModel()
            {
                ID = 3,
                Name = "UWP - 13",
                Picture = "Image4.png",
                Category = "In Progress",
                Description = "Add responsive support to application"
            });

            Cards.Add(new CustomModel()
            {
                ID = 4,
                Name = "Xamarin_iOS - 2543",
                Category = "Code Review",
                Picture = "Image3.png",
                Description = "Provide swimlane support kanban"
            });

            Cards.Add(new CustomModel()
            {
                ID = 5,
                Name = "iOS - 1975",
                Category = "Done",
                Picture = "Image5.png",
                Description = "Fix the issues reported by the customer"
            });

            Category1 = new List<object>() { "Open", "Postponed", "Validated" };
            Category2 = new List<object>() { "In Progress" };
            Category3 = new List<object>() { "Code Review" };
            Category4 = new List<object>() { "Done" };
        }       
    }
}

